<div class="col-lg-12 animated fadeInRight">
  <div class="wrapper wrapper-content animated fadeInRight">
    <div class="row">
      <div class="col-lg-12">
        <h1>
          Revert Transaction/Change payment
        </h1>
        <div class="fm-row">
          <label class="col-sm-4 control-label">Operation Type <i aria-hidden="true" class="mandatory">*</i></label>
          <div class="col-sm-8 form-input">
            <mat-select placeholder="Operation Type" matInput (ngModelChange)="setOperation($event)"
              [(ngModel)]="ops_type" style="border: 1px solid lightgrey;padding: 8px;border-radius: 5px;">
              <mat-option value="C">Change payment</mat-option>
              <mat-option value="R">Revert</mat-option>
            </mat-select>
          </div>
        </div>
        <div class="fm-row" style="margin-top: 15px;">
          <label class="col-sm-4 control-label">Driver</label>
          <div class="col-sm-8 form-input">
            <input [(ngModel)]="driver_id" matInput placeholder="Select Driver" class="form-control" name="driver_id"
              (ngModelChange)="searchDriver($event)" [formControl]="queryField" aria-label="Driver"
              [matAutocomplete]="Drivers">
            <img *ngIf="loadingIndicator == 'searchDriver'" class="loading_indicator" src="assets/img/loading.gif" alt="loader"/>
            <mat-autocomplete #Drivers="matAutocomplete" [displayWith]="displayFnDriver">
              <mat-option *ngFor="let driver of driverData" [value]="driver">
                {{driver.username}},{{driver.name}}
              </mat-option>
              <mat-option *ngIf="driverData.length == 0">No Matches Found
              </mat-option>
            </mat-autocomplete>
          </div>
        </div>
        <div class="fm-row" style="margin-top: 8px;" *ngIf='walletData.length>0'>
          <div class="col-sm-12">
            <mat-card>
              <p style="font-size: large;"><strong>Driver Details</strong></p>
              <p>{{walletData[0].driver_id.name}},{{walletData[0].driver_id.formatted_phone_number}}</p>
              <p>{{walletData[0].driver_id.emp_id}}</p>
            </mat-card>
          </div>
        </div>
        <div class="fm-row">
          <label class="col-sm-4" style="margin-top: 8px;">Revert transaction for Order</label>
          <div class="col-sm-8 form-input">
            <input [(ngModel)]="order_id" matInput placeholder="Select Order" class="form-control" name="order_id"
              [formControl]="queryField1" aria-label="Order" [matAutocomplete]="orders" style="margin-top: 8px;">
            <mat-autocomplete #orders="matAutocomplete" (optionSelected)="orderIdselected($event)">
              <mat-option *ngFor="let orderId of allOrderIddata" [value]="orderId">
                {{orderId.unique_order_id}}
              </mat-option>
              <mat-option *ngIf="allOrderIddata=='' && allOrderIddata.length == 0">No
                Matches Found</mat-option>
            </mat-autocomplete>
          </div>
        </div>
        <div class="fm-row" style="margin-bottom: 16px;" *ngIf="orderDetails && ops_type=='C'">
          <div class="col-sm-12">
            <mat-card>
              <p style="font-size: large;"><strong>Order Details</strong></p>
              <p>Driver : {{orderDetails.driver_id.emp_id}}</p>
              <p>Customer details : {{orderDetails.user_id.firstname}},{{orderDetails.user_id.phone_number}}</p>
              <p>Amount : {{orderDetails.price}}</p>
            </mat-card>
          </div>
        </div>
        <div class="fm-row" style="margin-top: 8px;margin-bottom: 16px;" *ngIf="cardData.length>0 && ops_type=='C'">
          <div class="col-sm-12">
            <div class="table-responsive">
              <table aria-describedby="Manage Company" class="table table-striped table-bordered table-responsive">
                <thead>
                  <tr>
                    <th scope="col">Card Last 4 Digits
                    </th>
                    <th scope="col">
                      Card Type
                    </th>
                    <th scope="col">Status
                    </th>
                    <th scope="col">Default
                    </th>
                    <th scope="col">
                      Operations
                    </th>
                  </tr>
                </thead>
                <tbody>
                  <tr *ngFor="let card of cardData">
                    <td>{{card.card_digits}}</td>
                    <td>{{card.card_type}}</td>
                    <td *ngIf='card.isDeleted==="1"' style="color:red">Removed</td>
                    <td *ngIf='card.isDeleted==="0"' style="color: green;">Active</td>
                    <td *ngIf='card.isDefault==="1"' style="color: green;">Default</td>
                    <td *ngIf='card.isDefault==="0"' style="color: greenyellow;">Not Default</td>
                    <td>
                      <button class="btn btn-sm btn-primary" (click)="openDialogToPayment(card)">Collect
                        Payment & Change</button>
                    </td>
                  </tr>
                </tbody>
              </table>
            </div>
          </div>
        </div>
        <div class="fm-row">
          <label class="col-sm-4">Notes<i aria-hidden="true" class="mandatory">*</i></label>
          <div class="col-sm-8">
            <input [(ngModel)]="notes" matInput placeholder="Notes" class="form-control" name="note" type='text'>
          </div>
        </div>
        <div style="margin-top: 15px;background-color: white;">
          <span *ngIf="searchSubmit">
            <img alt="loader" src="assets/img/loader.gif" class="loader-img" />
          </span>
        </div>
        <div class="fm-row">
          <div class="col-sm-4">
            <button type="get" (click)="openDialogToRevert();" class="btn btn-sm btn-primary blue" *ngIf="ops_type!='C'">
              Proceed</button>
            <button type="get" (click)="reset();" class="btn btn-sm btn-danger">
              Reset</button>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>